CVE-2012-4534

NameCVE-2012-4534
Descriptionorg/apache/tomcat/util/net/NioEndpoint.java in Apache Tomcat 6.x before 6.0.36 and 7.x before 7.0.28, when the NIO connector is used in conjunction with sendfile and HTTPS, allows remote attackers to cause a denial of service (infinite loop) by terminating the connection during the reading of a response.
SourceCVE (at NVD; oss-sec, fulldisc, OSVDB, EDB, Metasploit, Red Hat, Ubuntu, Gentoo, SuSE, Mageia, more)
NVD severitylow (attack range: remote)
Debian Bugs695250, 695251
Debian/oldoldstablenot vulnerable.
Debian/oldstablenot vulnerable.
Debian/stablenot vulnerable.
Debian/testingnot vulnerable.
Debian/unstablenot vulnerable.

Vulnerable and fixed packages

The table below lists information on source packages.

Source PackageReleaseVersionStatus
tomcat6 (PTS)squeeze, squeeze (security)6.0.35-1+squeeze4fixed
squeeze (lts)6.0.41-2+squeeze6fixed
wheezy, wheezy (security)6.0.35-6+deb7u1fixed
stretch, sid, jessie6.0.41-3fixed
tomcat7 (PTS)wheezy, wheezy (security)7.0.28-4+deb7u1fixed
stretch, sid, jessie7.0.56-3fixed

The information below is based on the following data on fixed versions.

PackageTypeReleaseFixed VersionUrgencyOriginDebian Bugs
tomcat6source(unstable)6.0.35-6low695250
tomcat6sourcesqueeze6.0.35-1+squeeze3low
tomcat7source(unstable)7.0.28-1low695251

Notes

DSA 2725

Search for package or bug name: Reporting problems